﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Security.Cryptography.X509Certificates;
using MySSLLib;
using System.Threading;

namespace MySSLClient
{
  class Program
  {
    static void Main(string[] args)
    {
      Thread thread = new Thread(ThreadProc);
      thread.IsBackground = false;
      thread.Start(args[0]);

      Thread.Sleep(Int32.MaxValue);
    }

    private static void ThreadProc(object arg)
    {
      //X509Certificate2 cert = SslHelper.GetCert();
      //SslClient server = new SslClient();
      //server.Start(cert, arg.ToString());

      X509Certificate2 cert = new X509Certificate2("client.pfx", "123", X509KeyStorageFlags.Exportable);
      SslSocket client = new SslSocket();
      client.StartAsClient(cert, arg.ToString());

      Thread.Sleep(1000);

      for (int i = 0; i < 1; i++)
      {
        string message = "It's just a text.";
        client.Send(Encoding.ASCII.GetBytes(message));
        Thread.Sleep(3000);
      }

      Thread.Sleep(Int32.MaxValue);
    }
  }
}
